Compatibility

HelloSign for Salesforce is built on Lightning. Our product is fully compatible on both Lightning and Classic.

📘

Supported Editions

Essentials, Professional, Enterprise, Unlimited, Developer

📘

Supported Languages

English (United States)
English (United Kingdom)
Danish (Denmark)
German (Germany)
Spanish (Latin America)
Spanish (Spain / Iberian)
French (France)
Indonesian (Indonesia)
Italian (Italy)
Japanese
Korean
Norwegian (Bokmål)
Dutch
Polish
Portuguese (Brazil)
Russian
Swedish (Sweden)
Thai (Thailand)
Ukrainian (Ukraine)
Chinese (Simplified)
Chinese (Traditional)

📘

Supported Browsers

Chrome, Safari versions 10 and above, Mozilla Firefox, and Edge
HelloSign for Salesforce is optimized for Chrome and it is our recommended browser.

❗️

Firefox Content Blocking

In Firefox you will need to disable the content blocking feature to access HelloSign for Salesforce. This Salesforce troubleshooting article provides a workaround for content blocking with Salesforce.

https://help.salesforce.com/articleView?id=000312847&language=en_US&type=1&mode=1

❗️

Unsupported Devices

Using the Hellosign for Salesforce integration with an iPad, tablet, or mobile device is currently not supported. The document editor is not optimized when creating templates or requesting signatures from within Salesforce.